### File

`packages/ecl/components/ecl-notification/ecl-notification-title.directive.ts`

### Description

Directive applied to a notification title element. Adds the appropriate ECL class for styling the notification title.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclNotificationTitle]`

### Index

###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Host binding for applying the ECL notification title CSS class.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Host binding for applying the ECL notification title CSS class. Returns : `string`

# results matching ""

# No results matching ""